char* instructions[] = {
  "Program invocation",
  "pntmatcher <problem file> [trials]",
  "pntmatcher_rs <problem file> [trials]",
  "ransac <problem file> [trials]",
  "iransac <problem file> [trials]",
  "",
  "The pntmatcher program finds the mapping between two sets of two",
  "dimensional points. It needs the name of a problem descriptor file as",
  "its first argument. The optional second argument is the number of",
  "trials to be run. If this argument is not provided, a default value",
  "will be used. For the Denton/Beveridge point matcher algorithm this",
  "default value is based on the size of the point sets being matched.",
  "For other algorithms, it the default is to run 1000 trials.",
  "",
  "When invoked as pntmatcher, the program uses the Denton/Beveridge",
  "keyfeature local search algorithm to find the relationship between the",
  "two points sets specified in the problem. If the program is invoked",
  "with the name pntmatcher_rs, then the key feature algorithm is not",
  "employed, and instead each trial of local search is seeded using a",
  "random solution. Similarly, if the program is invoked as ransac or",
  "iransac, the ransac or iterative ransac algorithm is used. Note that",
  "for large problem sets with significant amounts of noise, only the",
  "Denton/Beveridge algorithm is likely to be successful, regaurdless of",
  "the number of trials run.",
  "",
  "Point Set file format",
  "",
  "Point sets are specified as plain text files, with one point per line.",
  "The x coordinate comes first, followed by a space and then the y",
  "coordinate. Comment lines are allowed, they must start with a pound",
  "sign (#). Two special comments are understood. #name denotes the name",
  "of the point set, which the point matcher will use when reporting",
  "results. #image specifies the name of a .pgm file containing the",
  "imagery the point set is derived from. If this data is available the",
  "point matcher will provide a graphical representation of the match in",
  "its output.",
  "",
  "Problem file format",
  "",
  "Problem files are plain text files containing a series of name value",
  "pairs, one pair to a line. Names and values should be separated by a",
  "single equal sign, with no spaces between the end of the name, the",
  "equal sign, and the beginning of the value. All names are lower case.",
"",
  "The following pairs are understood.",
  "",
  "name        A name for this problem set. No spaces allowed",
  "",
  "model       The file containing the model set",
  "",
  "data        The file containing the data set",
  "",
  "sigma       The number of pixels of possible error in the location of",
  "            each point. In practice, higher values appear to be make",
  "            the search easier. This should be a real.",
  "",
  "transform   The transformation class relating the two point sets. Should",
  "            be set to either similarity or projective. The value affine",
  "            is also understood, but is completely untested for lack of",
  "            a use case.",
  "",
  "instances   The number of model matches that should be reported.",
  "",
  "scale       The allowable scale change between model and data. Like",
  "            sigma, setting this value higher than the expected scale",
  "            change seems to make the search easier.",
  "",
  "solution    A list of point matches known to be a correct solution.",
  "            If this value is provided,  each pair must take the format",
  "            (M, D) where M is the base 0 index into the model set, and",
  "            D is the index in the data set. Each pair should be separated",
  "            by a space, with a new line terminator only at th end of the",
  "            match. If this value is provided, the point matcher will",
  "            alter its reporting. This is useful for benchmarking, but",
  "            obviously of no use in finding unknown solutions. This value",
  "            is of course optional.",
  NULL};
